<?php
  
/*
-----------------------------------
Смена языка сайта для пользователей
-----------------------------------
*/
  
$data = STRIPSLASHES(HTMLSPECIALCHARS(GET('data')));
$url = BASE64_DECODE(LINKS_FILTER(GET('url')));
  
IF (IS_FILE(ROOT.'/system/languages/config/'.$data.'.ini')){
  
  SETCOOKIE('LANGUAGE', $data, TIME() + 60*60*24*365);
  SUCCESS('Вы успешно сменили язык на сайте', 'session');

}ELSE{

  ERROR('Неизвестная ошибка', 'session');

}
    
REDIRECT($url);    

?>